JTS Topology Suite version 1.13

## com.vividsolutions.jts.algorithm.locate
Interface PointOnGeometryLocator

All Known Implementing Classes:
  IndexedPointInAreaLocator, SimplePointInAreaLocator

    public interface PointOnGeometryLocator

An interface for classes which determine the `Location` of points in a `Geometry`.

Author:
  Martin Davis

Method Summary
`int` `locate(Coordinate p)` Determines the `Location` of a point in the `Geometry`.

Method Detail

### locate

    int locate(Coordinate p)

  Determines the `Location` of a point in the `Geometry`.

  Parameters:
    `p` - the point to test
  Returns:
    the location of the point in the geometry

JTS Topology Suite version 1.13